Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Number Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Number:

## Public Member Functions
CRL_Number * | copy () const override
| CRL_Number ()
| CRL_Number (size_t n)
size_t | get_crl_number () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Number Extension

Definition at line 605 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::CRL_Number::CRL_Number | ( |  | ) |
| inline

Definition at line 610 of file x509_ext.h.

Referenced by copy().

610 : m_has_value(false), m_crl_number(0) {}

Botan::Cert_Extension::CRL_Number::CRL_Number | ( | size_t | n | ) |
| inline

Definition at line 611 of file x509_ext.h.

611 : m_has_value(true), m_crl_number(n) {}

## Member Function Documentation

CRL_Number * Botan::Cert_Extension::CRL_Number::copy | ( |  | ) | const
| override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 876 of file x509_ext.cpp.

References CRL_Number().

877 {
878 if(!m_has_value)
879 throw Invalid_State("CRL_Number::copy: Not set");
880 return new CRL_Number(m_crl_number);
881 }
Botan::Cert_Extension::CRL_Number::CRL_Number
CRL_Number()
Definition: x509_ext.h:610

size_t Botan::Cert_Extension::CRL_Number::get_crl_number | ( |  | ) | const

Definition at line 866 of file x509_ext.cpp.

867 {
868 if(!m_has_value)
869 throw Invalid_State("CRL_Number::get_crl_number: Not set");
870 return m_crl_number;
871 }

OID Botan::Cert_Extension::CRL_Number::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 616 of file x509_ext.h.

616 { return static_oid(); }
Botan::Cert_Extension::CRL_Number::static_oid
static OID static_oid()
Definition: x509_ext.h:615

static OID Botan::Cert_Extension::CRL_Number::static_oid | ( |  | ) |
| inline static

Definition at line 615 of file x509_ext.h.

615 { return OID("2.5.29.20"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp